import { onCLS, onFCP, onFID, onINP, onLCP, onTTFB, } from 'web-vitals/attribution';
import { config } from './config';
import { initElementTiming } from './element-timing';
import { logMetric } from './log';
import { po } from './performanceObserver';
import { initResourceTiming } from './resourceTiming';
export var initPerformanceObserver = function () {
    // @ts-ignore
    onTTFB(function (report) {
        // Calculate the request time by subtracting from TTFB
        // everything that happened prior to the request starting.
        // @ts-ignore
        report.value = report.value - report.entries[0].requestStart;
        // @ts-ignore
        logMetric(report);
    }, config.reportOptions.ttfb);
    // @ts-ignore
    onCLS(function (report) { return logMetric(report); }, config.reportOptions.cls);
    // @ts-ignore
    onFCP(function (report) { return logMetric(report); }, config.reportOptions.fcp);
    // @ts-ignore
    onFID(function (report) { return logMetric(report); }, config.reportOptions.fid);
    // @ts-ignore
    onLCP(function (report) { return logMetric(report); }, config.reportOptions.lcp);
    // @ts-ignore
    onINP(function (report) { return logMetric(report); }, config.reportOptions.inp);
    if (config.isResourceTiming) {
        po('resource', initResourceTiming);
    }
    if (config.isElementTiming) {
        po('element', initElementTiming);
    }
};
export var disconnectPerfObserversHidden = function () {
    // TODO: Use if need it
};
//# sourceMappingURL=observe.js.map